parted (3.3-1) unstable; urgency=medium

  * New upstream release (closes: #942159):
    - mkpart: Allow negative start value when FS-TYPE is not given (closes:
      #880035).
    - Fix atari label false positives (closes: #896171).
    - libparted: Fix MacOS boot support (closes: #930742).
  * Add Brian C. Lane's GPG key to debian/upstream/signing-key.asc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2019 10:59:03 +0100

parted (3.2-27) unstable; urgency=medium

  * Cherry-pick upstream patch to remove output to stdout from affs that
    confused d-i (closes: #941777).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Oct 2019 11:19:43 +0100

parted (3.2-26) unstable; urgency=medium

  * libparted-dasd-add-test-cases-for-the-new-fdasd-func.patch: Add missing
    files (the original upstream commit was incomplete).
  * Use debhelper-compat instead of debian/compat.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2019 14:57:08 +0100

parted (3.2-25) unstable; urgency=medium

  * Cherry-pick from upstream:
    - libparted: BLKPG_RESIZE_PARTITION uses bytes, not sectors (closes:
      #926735, LP: #1641308).

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Apr 2019 15:38:11 +0100

parted (3.2-24) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Mark parted as Multi-Arch: foreign (closes: #918794).

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Jan 2019 16:45:45 +0000

parted (3.2-23) unstable; urgency=medium

  * Cherry-pick upstream patch to read NVMe model names from sysfs (closes:
    #911273).

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Oct 2018 11:28:00 +0100

parted (3.2-22) unstable; urgency=medium

  * Change Maintainer to parted-maintainers@alioth-lists.debian.net,
    following Alioth lists migration.
  * Stop building with V=1; debhelper configures with --disable-silent-rules
    as of 9.20150501.
  * Remove libparted0-dev transitional package, since nothing build-depends
    on it any more (closes: #878660).
  * Include sys/sysmacros.h to account for the user of major() and minor()
    macros (thanks, Mathieu Trudel-Lapierre; closes: #910326).

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Oct 2018 00:01:48 +0100

parted (3.2-21) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Call dmidecode directly to detect Apple systems rather than using an
    out-of-date clone-and-hack of its code that preferred reading from
    /dev/mem (closes: #890587).
  * Cherry-pick upstream patch to prevent crash resizing FAT with very deep
    directories (closes: #840709).
  * Cherry-pick upstream patch to fix recognition of FAT file system after
    resizing (closes: #840710).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Apr 2018 12:16:58 +0100

parted (3.2-20) unstable; urgency=medium

  * Amend patches added in 3.2-19 to include corresponding patches to files
    generated by "make dist".

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Jan 2018 01:43:32 +0000

parted (3.2-19) unstable; urgency=medium

  * Cherry-pick upstream patch to add support for NVMe devices (closes:
    #886960, LP: #1742787).
  * Cherry-pick upstream patches to update DASD handling (closes: #887016,
    LP: #1737144).

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Jan 2018 17:27:17 +0000

parted (3.2-18) unstable; urgency=medium

  * Mark parted-doc as Multi-Arch: foreign.
  * Fix build failure with glibc-2.26 (thanks, Matthias Klose; closes:
    #878234).
  * Change priorities of udebs and libparted0-dev to optional, since
    "Priority: extra" is now deprecated.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Oct 2017 13:05:37 +0100

parted (3.2-17) unstable; urgency=medium

  [ Colin Watson ]
  * Remove Otavio Salvador from Uploaders, with thanks for their previous
    contributions (closes: #847255).
  * Build-depend on gperf so that we can regenerate pt-limit.c.
  * Policy version 3.9.8: no changes required.

  [ John Paul Adrian Glaubitz ]
  * Add support for atari partition tables (closes: #239816).

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Dec 2016 12:55:53 +0000

parted (3.2-16) unstable; urgency=medium

  * Remove Xavier Oswald from Uploaders as they have retired, with thanks
    for their previous contributions (closes: #824328).
  * Remove outdated README.Debian (closes: #838986).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2016 14:34:23 +0100

parted (3.2-15) unstable; urgency=medium

  * Cherry-pick upstream patch to check DASD geometry more carefully to
    avoid problems with LVM (closes: #814076, LP: #1541510).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Feb 2016 14:26:23 +0000

parted (3.2-14) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 13:24:01 +0000

parted (3.2-13) unstable; urgency=medium

  * Simplify unnecessary use of dh-exec in debian/libparted-dev.install.
  * Remove no-longer-necessary Conflicts/Replaces from libparted2.
  * Replace versioned Conflicts on old versions of parted in libparted-dev
    with Breaks+Replaces.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jan 2016 23:01:07 +0000

parted (3.2-12) unstable; urgency=medium

  * Cherry-pick upstream patch to use 512-byte sector size when
    communicating with device-mapper; previously partitions could be created
    eight times smaller than expected on DM devices with 4096-byte sectors
    (thanks, Mauricio Faria de Oliveira and Mathieu Trudel-Lapierre;
    LP: #1441930).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 13:41:02 +0000

parted (3.2-11) unstable; urgency=medium

  * Drop *-dbg packages in favour of ddebs.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 01:06:19 +0000

parted (3.2-10) unstable; urgency=medium

  * fdasd-update-geometry-handling.patch: Update include/parted/fdasd.h as
    well as include/parted/fdasd.in.h, since the former doesn't seem to be
    rebuilt automatically.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 17:01:38 +0000

parted (3.2-9) unstable; urgency=medium

  * dasd-enhance-probing.patch: Fix function ordering.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Oct 2015 14:52:41 +0000

parted (3.2-8) unstable; urgency=medium

  * Cherry-pick upstream patches to support virtio-attached DASD (thanks,
    Viktor Mihajlovski; closes: #803333).

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Oct 2015 12:26:08 +0000

parted (3.2-7) unstable; urgency=medium

  [ Phillip Susi ]
  * Cherry pick upstream patch to fix a crash when resizing fat16
    (LP: #1342255).

  [ Colin Watson ]
  * Drop libparted2's alternative Suggests on nparted, which has not been in
    Debian for a decade or so.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Mar 2015 10:58:55 +0000

parted (3.2-6) unstable; urgency=medium

  [ Steven Chamberlain ]
  * kfreebsd-gnu.patch: (Thanks, Jeff Epler!)
    - Fix detection of /dev/ada as a SCSI disk type (Closes: #693510,
      #757986)
    - Implement detection of drive model, logical and physical sector sizes
      for SCSI disks

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Sep 2014 15:44:36 +0100

parted (3.2-5) unstable; urgency=medium

  * Update freebsd-ufs.patch to handle non-512-byte-sector disks
    (LP: #1355127).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2014 19:20:11 +0100

parted (3.2-4) unstable; urgency=high

  * Probe LVM logical volumes even when their physical volumes are on
    device-mapper devices (closes: #757750).

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2014 14:02:26 +0100

parted (3.2-3) unstable; urgency=high

  * Probe LVM logical volumes again (closes: #757417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 11:02:32 +0100

parted (3.2-2) unstable; urgency=high

  * Fix gptsync.patch not to try to perform pointer arithmetic on void *
    values.
  * Remove unused label from udevadm-settle.patch.
  * Configure with --disable-gcc-warnings, even when building from git.
    Making the build work with -Werror is too painful at the moment.
  * Align new partitions created on fresh disks (LP: #1352252).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Aug 2014 15:21:03 +0100

parted (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop currently-unused build-dependency on po4a (thanks, Johannes
    Schauer).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Jul 2014 13:16:15 +0100

parted (3.1-4) unstable; urgency=medium

  * Ship static libraries again.  hurd needs them for ext2fs.static.

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Jul 2014 10:55:09 +0100

parted (3.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jul 2014 10:23:16 +0100

parted (3.1-2) experimental; urgency=medium

  * Rename XC-Package-Type control fields to Package-Type.
  * Note the presence of ped_disk_dasd_done and ped_disk_dasd_init symbols
    on s390 and s390x.
  * Note the presence of ped_device_new_from_store on hurd-any.
  * Add ${misc:Depends} to libparted0-dev's Depends field.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Jul 2014 22:20:01 +0100

parted (3.1-1) experimental; urgency=medium

  * New upstream release (closes: #646130, LP: #1046391; see #754582 for
    transition tracking):
    - Improve support of DASD devices on s390 (closes: #578097).
    - Remove old and unmaintainable file system creation, deletion, and
      copying code; please use other FS-specific tools instead (closes:
      #399046, #481435, #751406).  Most resizing code is also gone, although
      HFS+ and FAT resizing is still available via libparted-fs-resize.
    - Fix snap radius to avoid miscalculation of partition size when the
      start or end is 1<unit> (closes: #706023).
  * Update binary package names to libparted2 (etc.).  We can safely drop
    the "debian1" suffix now, as the previous incarnation of libparted2 was
    about 14 years ago, and the Conflicts against it were made versioned
    four years ago in 2.2-4.
  * Split off separate packages for libparted-fs-resize, which has a
    different SONAME.
  * Remove largely-unhelpful version from libparted-i18n and libparted-dev
    package names.
  * Add .symbols files and stop using the old "make check-abi" mechanism,
    which was cumbersome and appears to be unmaintained upstream.  This is
    also more robust against differing build options (closes: #744313).
  * Convert from the long-deprecated dh_movefiles to dh_install.
  * Remove lots of parameterisation from the packaging which was intended to
    make it easier to handle SONAME changes.  Enough things still have to be
    adjusted manually that it didn't really help, and it made the packaging
    harder to understand.
  * Modernise and correct use of dpkg-architecture variables to work better
    when cross-building.
  * Drop another vestige of the old parted-bf package.
  * Stop shipping static libraries.
  * Use dh_link to fix up .so links in libparted-dev rather than doing it by
    hand in debian/rules.
  * Move development libraries into multiarch directories and mark
    libparted-dev as Multi-Arch: same.
  * Drop -fgnu89-inline workaround, which is no longer needed (and was
    actually disabled by accident in 2.3-10).
  * Drop the hardcoded minimum version passed to dh_makeshlibs, since this
    is now effectively superseded by the .symbols file.
  * Update Vcs-* to current canonical URLs.
  * Convert to dh(1).
  * Make parted and parted-udeb have exact-version dependencies on
    libparted2 and libparted2-udeb respectively.
  * Add a libparted0-dev transitional package.  Most of the packages that
    build-depend on us have a versioned build-dependency on libparted0-dev
    right now, so this greatly simplifies the transition.
  * Stop disabling pc98 support on powerpc; 3.1 tightened up pc98 probing so
    that it has many fewer false positives.
  * Remove use of --disable-Werror on several architectures; as of 3.0,
    parted no longer supports this configure option and just builds without
    -Werror.

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jul 2014 12:44:37 +0100

parted (2.3-20) unstable; urgency=medium

  * Fix crash when opening FAT file systems (LP: #1306704).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Apr 2014 11:44:43 +0100

parted (2.3-19) unstable; urgency=medium

  [ Phillip Susi ]
  * fat-ntfs-large-sectors.patch: Fix fat and ntfs detection on non 512 byte
    sectors (closes: #743816, LP: #1302762).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2014 12:55:59 +0100

parted (2.3-18) unstable; urgency=medium

  * Fix LVM handling regressions caused by fix-loop-labels.patch
    (LP: #1300072):
    - Initialise dev->loop in ped_disk_new_fresh rather than ped_disk_new.
    - Temporarily set disk->dev->loop to 0 while removing partitions, so
      that we can remove previously-existing non-loop partitions (thanks,
      Phillip Susi).

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Apr 2014 00:01:13 +0100

parted (2.3-17) unstable; urgency=low

  [ Phillip Susi ]
  * avoid-disturbing-partitions.patch: remove all old partitions (that are
    not unchanged) first, then add new ones.  This avoids an EBUSY trying to
    add new partitions that overlap with old ones that have a higher number
    (closes: #742847, LP: #1220165).
  * fix-loop-labels.patch: Fix loop labels (filesystem on whole disk
    device).

  [ Colin Watson ]
  * Slight tweak to avoid-disturbing-partitions.patch to continue to handle
    entirely unchanged partitions properly.
  * Convert to git-dpm.
  * Backport upstream change to add GPT PReP GUID support.

  [ Dimitri John Ledkov ]
  * Cherry-pick upstream fix for FTBFS with readline 6.3 (closes: #741842).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Mar 2014 17:49:47 +0000

parted (2.3-16) unstable; urgency=low

  * Convert libparted0debian1-dbg to a normal separated-debug-symbols
    package rather than shipping a rather odd /usr/lib/libparted_g.a file,
    saving a build pass and making it more generally useful.  This also
    involves enabling mtrace on all build passes, which should be fine since
    it only does anything if MALLOC_TRACE is set in the environment.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Sep 2013 17:29:34 +0100

parted (2.3-15) unstable; urgency=low

  [ Pino Toscano ]
  * Disable DMI detection on the Hurd (closes: #719628).
  * Don't match tarball compression extensions in watch file (closes:
    #719630).

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Aug 2013 22:01:46 +0100

parted (2.3-14) unstable; urgency=low

  * Merge fix-head-size-assertion.patch from Ubuntu: change an
    assert so it correctly recovers instead of aborting the program
    (closes: #620273).
  * Merge dm_p_separator.patch from Ubuntu: parted would add a
    'p' between the base device name and the partition number for
    all device-mapper devices instead of only if the base name
    ended in a digit.
  * Merge remove-dev_t-dep.patch from Ubuntu: parted was making
    bad assumptions about the meaning of the values of dev_t,
    causing it to fail to detect in-use partitions on all dmraid
    disks, and regular disk partitions > #16.
  * Merge skip-floppy.patch from Ubuntu: add floppies to the list
    of ignored devices since they can not be partitioned anyhow,
    and often people have no floppy though their bios thinks they do,
    and touching it causes hangs.
  * Merge gptsync.patch from Ubuntu: On Intel Mac systems, write a
    synced MBR rather than a protective MBR.
  * Merge loop-partitions.patch from Ubuntu: backport some changes
    to allow the use of partitions on loop devices.  This also
    allows more than 16 partitions.
  * Merge dmraid.patch from Ubuntu: Don't probe dmraid partition
    devices.  Also set UUID of newly created dmraid partition devices.
  * Merge dm-part-sync.patch from Ubuntu: refactor device-mapper
    partition sync code so it does not fail when unmodified partitions
    are mounted.
  * Merge udevadm-settle.patch from Ubuntu: Run udevadm settle around
    partition table rereads, to avoid races.
  * Merge 16-dos-partitions.patch from Ubuntu: the kernel was not
    being informed of partitions above #16 on dos partition tables
    (closes: #667638).
  * Merge hfs-probe-corrupt.patch from Ubuntu: don't let a corrupt
    FS evoke failed assertion.
  * Backport online resize patches: 0001-parted-resizepart-command.patch,
    0003-libparted-Add-support-for-BLKPG-ioctl-partition-resi.patch,
    and 0004-parted-make-_partition_warn_busy-actually-a-warning.patch
  * Merge fewer-gpt-entries.patch: Backport upstream patches to handle
    GPT labels with fewer than 128 partition entries (LP: #1187560).
  * debian/patches/avoid-disturbing-partitions.patch: Don't remove and
    re-add unmodified partitions (LP: #1060484).
  * debian/patches/linux-specific-gpt-type.patch: Backport upstream
    changes to use a linux specific partition type code instead of
    Microsoft's, which causes Windows to offer to format the partition.

 -- Phillip Susi <psusi@ubuntu.com>  Mon, 12 Aug 2013 10:11:10 +0100

parted (2.3-13) unstable; urgency=low

  * Use dh-autoreconf.
  * Avoid assuming that gets is declared (closes: #699653).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 10:48:00 +0100

parted (2.3-12) unstable; urgency=low

  * Breaks: python-parted (<< 3.6-5); previous versions were broken by the
    PED_PARTITION_LAST_FLAG change in 2.3-11.1 (closes: #697588).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jan 2013 12:13:14 +0000

parted (2.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry-pick upstream patches to fix the handling of GPT partition
    flags when modifying a GPT. This, most particularly fixes the
    handling of 'legagy BIOS bootable'. 
    Thanks to Jérémy Bobbio for providing the patch and analysis.
    Closes: #673042

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Jan 2013 14:44:03 +0100

parted (2.3-11) unstable; urgency=medium

  * Non-maintainer upload to fix partitioned md devices (bug #684713)
  * backport md-partitions.patch: libparted/arch/linux.c
    (_device_get_partition_range): Use /sys/block/DEV/ext_range instead
    of range sysfs file.

 -- Miquel van Smoorenburg <miquels@debian.org>  Thu, 13 Sep 2012 15:35:00 +0200

parted (2.3-10) unstable; urgency=low

  * Acknowledge NMUs with thanks (closes: #676593).
  * Back out non-registered-device.diff, which had already been applied
    upstream in 2.3.
  * Rearrange patch ordering slightly.
  * Update debian/watch for upstream switch to .tar.xz.
  * Use dpkg-buildflags to enable hardening options.
  * Build with V=1 so that tools such as blhc can scan more effectively for
    missing build flags.
  * Remove Sven Luther from Uploaders with thanks for his past contributions
    (closes: #677756).
  * Revert ABI symbols change from 2.3-9.2, since whatever prompted that
    change seems to have changed back (closes: #678788).

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2012 00:01:04 +0100

parted (2.3-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add partition table re-read on hurd-i386 (Closes: #669936).
  * Backport gnulib fix for set but not used variables (Closes: #676590).
  * Update ABI symbol list (Closes: #676591).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 02:04:11 +0200

parted (2.3-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * kfreebsd_lvm.patch: Support LVM on GNU/kFreeBSD.  (Closes: #644825)
  * hurd-partition-path.patch: Fix wrong path for GNU/Hurd partitions,
    patch from Jeremie Koenig.  (Closes: #586696)
  * non-registered-device.diff: Fix NULL dereference condition, patch
    from Jeremie Koenig.  (Closes: #586682)

 -- Robert Millan <rmh@debian.org>  Mon, 09 Apr 2012 09:46:19 +0000

parted (2.3-9) unstable; urgency=low

  [ Colin Watson ]
  * Add build-arch and build-indep targets to debian/rules.

  [ Svante Signell ]
  * Avoid building debian/rules targets more than once (closes: #649741).

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Mar 2012 18:51:13 +0100

parted (2.3-8) unstable; urgency=low

  [ Robert Millan ]
  * Add detection of ZFS volumes (closes: #635384).
  * Add detection of GEOM encryption devices (closes: #635393).

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Jul 2011 14:37:34 +0100

parted (2.3-7) unstable; urgency=low

  * Use [linux-any] in debian/control rather than [!hurd-i386 !kfreebsd-i386
    !kfreebsd-amd64].
  * Remove libparted.la from libparted0-dev.
  * Convert to multiarch.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Jul 2011 14:25:45 +0100

parted (2.3-6) unstable; urgency=low

  * Backport from upstream:
    - Accommodate two-component Linux version numbers like 3.0
      (LP: #796865).
  * Rewrite package descriptions and add a Homepage field (thanks, Justin B
    Rye; closes: #615124).

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jun 2011 15:21:08 +0100

parted (2.3-5) unstable; urgency=low

  * Remove DASD restriction on _disk_sync_part_table, as otherwise DASD
    partitioning will never work properly (closes: #605759).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Dec 2010 12:57:43 +0000

parted (2.3-4) unstable; urgency=low

  * Fix used-uninitialised bug on devices smaller than one cylinder (closes:
    #602568).
  * Ignore zero-length devices (closes: #602533).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Nov 2010 21:42:56 +0000

parted (2.3-3) unstable; urgency=low

  * Build-depend on check, so that we can run more of our test suite.
  * Add ZFS detection support (thanks, Robert Millan; closes: #595007).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Oct 2010 11:13:02 +0100

parted (2.3-2) unstable; urgency=low

  * Fix patch ordering: btrfs.patch is for upstream merging, not a symbols
    patch.
  * Remove limits on loop labels (closes: #592679).  There's no reason to
    impose any particular limit on loop labels, since they just represent a
    single large partition.  Sector counts over 2^32 are needed for large
    RAID arrays.
  * Backport upstream patch to update tests/t4000-sun-raid-type.sh so that
    the test suite passes again.
  * Add support for detection of FreeBSD UFS file systems and creation of
    the partition on DOS and GPT labels (thanks, Aurelien Jarno; closes:
    #588364).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Aug 2010 12:19:36 +0100

parted (2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/update-ext4-code.patch: refreshed against newer code.
  * debian/patches/linux-exports.patch: dropped, merged upstream.
  * debian/patches/kfreebsd-gnu.patch: refreshed against newer code.
  * debian/patches/sun-revert-disk-flag.patch: backported to revert the
    disk flag implementation. Refs: #579948.

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jun 2010 12:26:47 -0300

parted (2.2-7) unstable; urgency=low

  * Update GNU/kFreeBSD patch, from Luca Favatella's Google Summer of Code
    project last year via Aurelien Jarno.  Among other things, this no
    longer requires libgeom (closes: #580224).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jun 2010 16:22:28 +0100

parted (2.2-6) unstable; urgency=low

  * libparted0-dev should depend on libgeom-dev on kFreeBSD (thanks, Petr
    Salinger; closes: #576684).
  * Use proper epoch in libdevmapper-dev build-dependency (closes: #580415).
  * Add btrfs discovery support (thanks, Luca Bruno; closes: #567176).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jun 2010 13:53:27 +0100

parted (2.2-5) unstable; urgency=low

  * Fix brown-paper-bag build error in kFreeBSD patch.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Apr 2010 11:06:54 +0100

parted (2.2-4) unstable; urgency=low

  * Policy version 3.8.4: no changes required.
  * Merge from maint-1.8 branch:
    - Version libparted[12] conflicts/replaces in preparation for
      upstream-maintained sonames in 2.2 and newer.
  * Rename libparted0 to libparted0debian1 (LP: #535368), and also
    libparted0-dbg to libparted0debian1-dbg in case anything is relying on
    those package names matching.  This is unfortunate, but is needed to
    work around historical unversioned Conflicts on libparted0, libparted1,
    and libparted2, which would break upgrades from lenny.  Add a dummy
    libparted0 package to provide smooth upgrades from earlier 2.2-*
    versions.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Apr 2010 11:53:56 +0100

parted (2.2-3) unstable; urgency=low

  * Restore GNU/kFreeBSD support (closes: #575007).
  * Don't rebuild autotools files during the build.
  * Guard against FreeBSD kern.geom.conftxt not being newline-terminated.
  * Fix FreeBSD support for file devices.
  * Add GPT device naming support on kFreeBSD (thanks, Robert Millan;
    closes: #548436).
  * Strings from struct ata_params are not guaranteed to be null terminated
    (thanks, Aurelien Jarno; closes: #559645).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Mar 2010 11:06:34 +0000

parted (2.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Mar 2010 23:25:35 +0000

parted (2.2-1) experimental; urgency=low

  * New upstream release.

  [ Colin Watson ]
  * Upstream now uses libtool's versioning system, so the SONAME has changed
    from "libparted-2.1.so.0" to "libparted.so.0".  Change library package
    names to libparted0 etc. to match.  This actually returns to a SONAME
    that was used for a few months in 2000, but it seems unlikely that that
    will cause any problems and I'd rather keep in sync with upstream.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Mar 2010 13:48:02 +0000

parted (2.1-4) experimental; urgency=low

  * Make libparted-2.1-dev depend on packages that deliver other libraries
    listed in libparted.la (closes: #526896).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Mar 2010 17:00:33 +0000

parted (2.1-3) experimental; urgency=low

  * linux-exports.patch: Don't export linux_get_minimum_alignment or
    linux_get_optimum_alignment functions.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Feb 2010 17:38:54 +0000

parted (2.1-2) experimental; urgency=low

  * Build-depend on libblkid-dev, since otherwise we don't get
    minimum/optimum alignment handling on Linux.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Feb 2010 12:51:06 +0000

parted (2.1-1) experimental; urgency=low

  * New upstream release

  [ Otavio Salvador ]
  * control.in: bump preferred soname for libreadline (closes: #553824).

  [ Colin Watson ]
  * control.in: Remove copy-and-paste error from libparted1.8-i18n
    description (closes: #497626).
  * copyright: Document parted.info's licence, namely GFDL 1.1 with no
    invariant sections, front-cover texts, or back-cover texts (closes:
    #500201).
  * rules: Cell partition tables are misdetected as pc98, so disable pc98
    support on powerpc (closes: #487833).
  * control.in: Don't build-depend on libdevmapper-dev on hurd-i386.
  * control.in: Build-depend on libdevmapper-dev (>= 1.02.33), for
    dm_task_set_major_minor.

  [ Xavier Oswald ]
  * debian/control.in: 
    - Change my mail address
    - Bump Standards-Version to 3.8.3
    - Update Build-Depends on debhelper 7
  * debian/compat: update version to 7
  * Parted not informing the kernel of changes to the partition table 
    (Closes: #557044), fixed upstream

  [ Otavio Salvador ]
  * debian/watch: fix URL to download
  * Switch to quilt to manage patches
    - unpartitioned-disks.dpatch, drop (merged upstream)
    - unblacklist-md.dpatch, drop (merged upstream)
    - amiga-raid-lvm-fix.dpatch, drop (not used for ages)
    - devfs.dpatch, drop (devfs is not used)
    - reiserfs-libname.dpatch, drop (referenced library is unavailable)

  [ Xavier Oswald, Colin Watson ]
  * Refresh update-ext4-code.patch

  [ Otavio Salvador ]
  * Fix parted-doc info files installation
  * Add lintian overrides for parted package
  * Use soname in libparted udeb name

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 06 Feb 2010 16:39:19 -0200

parted (1.8.8.git.2009.07.19-6) unstable; urgency=medium

  * Version libparted[012] conflicts/replaces in preparation for
    upstream-maintained sonames in 2.2 and newer.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Mar 2010 13:37:49 +0000

parted (1.8.8.git.2009.07.19-5) unstable; urgency=low

  * Update building system with automake 1.11

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 18 Aug 2009 19:16:28 -0300

parted (1.8.8.git.2009.07.19-4) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix FTBFS in s390 due a missing prototype in dasd label.

  [ Aurelien Jarno ]
  * Add FreeBSD architecture support files
  * Regenerate configure and Makefile.in

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 12 Aug 2009 18:07:22 -0300

parted (1.8.8.git.2009.07.19-3) unstable; urgency=low

  [ Otavio Salvador ]
  * control.in: use debug for libparted-dbg.

  [ Colin Watson ]
  * control.in: Move libparted@LIBPKGVER@-i18n to section localization.

  [ Luca Favatella ]
  * control.in: Remove libdevmapper-dev as build-dependency on GNU/kFreeBSD.
  * debian/rules: Enable device-mapper only on Linux.

  [ Otavio Salvador ]
  * Do not dynamicaly update soname.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 10 Aug 2009 22:22:37 -0300

parted (1.8.8.git.2009.07.19-2) unstable; urgency=low

  * unblacklist-md.dpatch: Revert commit
    f94e08bdb4ba0fa1b9fd35509e04c2d9ee84ff80, which broke RAID configuration
    in d-i and isn't necessary given our unpartitioned-disks patch.
  * Add myself to Uploaders, at Otavio's suggestion.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Jul 2009 15:31:04 +0100

parted (1.8.8.git.2009.07.19-1) unstable; urgency=low

  * New upstream snapshot.

  [ Max Vozeler ]
  * Restore dependency on the patch-stamp target. (closes: #534248)

  [ Otavio Salvador ]
  * Drop baseline-symbols patch.
  * Update symbols - no soname bump required.

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 19 Jul 2009 13:11:09 -0300

parted (1.8.8.git.2009.06.03-2) unstable; urgency=low

  * libparted: move LinuxSpecific stuff to a private linux.h header

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 17 Jul 2009 19:07:08 -0300

parted (1.8.8.git.2009.06.03-1) unstable; urgency=low

  [ Otavio Salvador ]
  * New upstream snapshot
  * debian/control: add Vcs-{Git,Browser} fields
  * Bump soname due the properly linkage to gnulib
  * Do not install README-hacking

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 03 Jun 2009 21:36:33 -0300

parted (1.8.8.git.2009.05.23-1) experimental; urgency=low

  [ Otavio Salvador ]
  * New upstream snapshot:
    - Update build scripts. Closes: #525193
    - Fix FTBFS with GCC 4.4. Closes: #505346
    - Add ext4 support. Closes: #511224
  * Import packaging files
  * Clean up build-depends. Closes: #482408
  * Set version as 1.8.8.1.147-f9f5-dirty
  * debian/patches/parted-dmraid.dpatch: droped
  * debian/patches/sparc-fix-raid.dpatch: droped
  * debian/rules: do not call autotools during build
  * Bump Standards-Version to 3.8.1; no changes required
  * Bump library soname
  * Check ABI symbols when compiling in amd64
  * Fix check-abi build target

  [ Colin Watson ]
  * debian/patches/update-ext4-code.dpatch: add to improve ext4 support.

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 23 May 2009 20:42:05 -0300

parted (1.8.8.git.2008.03.24-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Preserve hidden partitions in DOS-format partition tables if they are not
    explicitly replaced. Closes: #491797125

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 24 Nov 2008 01:28:08 +0000

parted (1.8.8.git.2008.03.24-11) unstable; urgency=low

  * Add patch to avoid using partition names for loop devices. Thanks to
    Colin Watson <cjwatson@ubuntu.com> for the patch. Closes: #502618

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 22 Oct 2008 10:13:52 -0200

parted (1.8.8.git.2008.03.24-10) unstable; urgency=low

  * Merge from Ubuntu: debian/patches/parted-dmraid.dpatch: Patch to educate
    libparted about dmraid arrays, which use device mapper. Libparted was
    naming new partition nodes incorrectly, and not setting the UUIDs for
    dmraid device nodes. (Closes: #497110)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 06 Sep 2008 15:02:11 +0200

parted (1.8.8.git.2008.03.24-9) unstable; urgency=low

  [ Otavio Salvador ]
  * Bump package soname

  [ Guido Günther ]
  * Return the correct partition names for multipath devices
  * linux device-mapper map type detection (closes: #440675)

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 09 Aug 2008 18:51:31 -0300

parted (1.8.8.git.2008.03.24-8) unstable; urgency=low

  * Disable backtrace when building the udeb packages (closes: #488374).

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 28 Jul 2008 21:09:10 -0300

parted (1.8.8.git.2008.03.24-7) unstable; urgency=low

  * Upload to unstable

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 21 Jun 2008 15:58:02 -0300

parted (1.8.8.git.2008.03.24-6) experimental; urgency=low

  [ Otavio Salvador ]
  * Give the parted udeb a menu item number. This allows it to be
    selected manually in anna. Update the udeb description for
    consistency and remove the long description to save space. Thanks to
    Frans Pop <elendil@planet.nl> (closes: #466826).

  [ Jim Meyering ]
  * test for improved DOS-partition-table recognition

  [ Colin Watson ]
  * bug fix: improve DOS partition table recognition

  [ Jim Meyering ]
  * avoid const-related compiler warnings

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 03 Jun 2008 19:25:27 -0300

parted (1.8.8.git.2008.03.24-5) experimental; urgency=low

  * Disable LVM support for dasd labels

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 27 May 2008 21:52:48 -0300

parted (1.8.8.git.2008.03.24-4) experimental; urgency=low

  [ Otavio Salvador ]
  * properly test for __s390__ and __s390x__ macros to disable O_DIRECT
    on that

  [ Matt Davis ]
  * Corrected a few memory leaks from unallocated ped_unit_format calls.
  * Corrected memory leak when displaying partition flags.
  * Corrected a small memory leak when displaying partition information

  [ Otavio Salvador ]
  * do not loop in case message exception has no message
  * fix memory leak in exception handler
  * Ensure that autoreconf uses aclocal 1.0

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 06 May 2008 14:35:08 -0300

parted (1.8.8.git.2008.03.24-3) experimental; urgency=low

  [ Otavio Salvador ]
  * Bump version to 1.8.9 since it broke ABI interface
  * Ensure that autoreconf uses automake 1.10
  * Add debian/libparted-i18n.files and debian/libparted-dev.files
    removed by mistake
  * Change soname and dependency requirements due ABI change

  [ Robert Millan ]
  * Add support for GRUB / BIOS partition in GPT.

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 12 Apr 2008 16:18:46 -0300

parted (1.8.8.git.2008.03.24-2) experimental; urgency=low

  [ Bastian Blank ]
  * Fix syntax error.
  * Use host_cpu for s390 check.

  [ Jim Meyering ]
  * Fix a typo: s/to defragmenting/to defragment/, Remove trailing
    blanks.
  * Don't write into line[-1] when line starts with a NUL byte.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 09 Apr 2008 19:12:54 -0300

parted (1.8.8.git.2008.03.24-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * debian/rules:
     - add “-fgnu89-inline” to “CFLAGS” and “UDEB_CFLAGS” to fix FTBFS
       (Closes: #442308).
  * debian/control.in:
     - make the packages binNMU-safe by using binary:Version and
       source:Version instead of Source-Version.

  [ Otavio Salvador ]
  * Really duplicate disks instead of readd each partition so it preserves
    the ordering and like (Closes: #294520).
  * Point to GPL-3 instead of including it since it is now available.
  * Package Patches:
    - lvm2.dpatch: droped, equivalent code merged upstream;

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 24 Mar 2008 20:37:45 -0300

parted (1.8.7.git.2007.07.30-1) experimental; urgency=low

  * New upstream release.
  
  [ Xavier Oswald ]
  * debian/README.Debian updated
  * debian/parted-doc.docs updated

  [ Otavio Salvador ]
  * Package Patches:
    - doc-package.dpatch: redone from scratch;
    - s390.dpatch: dropped, equivalent code merged upstream;
    - parted-print-name.dpatch: likewise.
    - errors-to-stderr.dpatch: likewise.
    - devfs.dpatch: rediff.
    - sparc-fix-raid.dpatch: likewise.
    - lvm2.dpatch: readd the missing parts for the LVM partitions
      probing;
  * debian/rules:
    - configure called with --enable-device-mapper to include
      device-mapper support in;
    - build gnulib when building udeb and debugging packages otherwise
      they'd fail;
    - change soname version;
  * debian/control:
    - add libdevmapper-dev as build-dependency;
    - add pkg-config as build-dependency;
    - cleanup udeb dependencies. Thanks to Frans Pop <elendil@planet.nl>
      by the patch; (Closes: #419609)
  * debian/watch: use the GNU ftp since the HTTP address was giving
    timeout;
  * debian/libparted-dev.files: stop to provide parted.m4 but provides
    pkgconfig, instead;
  * debian/parted-doc.docs: drop COPYING;
  * debian/copyright: updated since parted is now licensed on GPL3;
  * debian/rules: change package names to follow soname;

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 30 Jul 2007 20:49:10 -0300

parted (1.8.1~git1-1) experimental; urgency=low

  * New git snapshot
  * doc-package.dpatch: removed hunk that was merge upstream;
  * debian/copyright: update FSF address;
  * debian/control.in, debian/rules: bump automake requirement to 1.10;
  * debian/patches/00list: disabled kfreebsd support by now;

 -- Otavio Salvador <otavio@debian.org>  Mon, 27 Nov 2006 11:35:20 -0200

parted (1.8.0~rc3-1) experimental; urgency=low

  * New upstream release.

  [ Otavio Salvador ]
  * doc-package.dpatch: fixed file paths;
  * devfs.dpatch: minor change to make it apply again since linux.c had
    its #includes massively changed;
  * lvm2.dpatch: removed since upstream version now has device-manager
    support natively;
  * s390.dpatch: removed since upstream version now has device-manager
    support natively;
  * parted.files: we're not installing pt_BR manpage anymore since it
    needs to be updated to new translation systems that is being use in
    Parted now;

  [ Xavier Oswald ]
  * add po4a as build-dependancy.
  * Adding myself as comaintainer of the package.
  * policy 3.7.2

 -- Sven Luther <luther@debian.org>  Wed,  1 Nov 2006 19:27:46 +0100

parted (1.7.1-3) unstable; urgency=low

  * parted-print-name.dpatch : Fix bug in parted print, when there are no
    extended partitions, but partition names.
  * disabled parted part of kfreebsd-gnu.dpatch, since the patch caused
    parted to have trouble in a d-i environment to print the partition table,
    thus causing tools relying on parted -s print to find information about
    the partition table to break, like the one checking for RAID partitions
    in d-i. (Closes: #392767)

 -- Sven Luther <luther@debian.org>  Tue,  7 Nov 2006 17:45:28 +0100

parted (1.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * gpt.dpatch: Put the alternative GPT partition table one sector further
    out, to avoid having it overlap with the last sector of one partition.
    (Closes: #349718)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:13:07 +0200


parted (1.7.1-2) unstable; urgency=low

  [ Bastian Blank ]
  * Fix s390 patch to not intend to use ibm disklabels on FBA. (Closes: #369580)

  [ Otavio Salvador ]
  * Ack NMU. (Closes: #369491)
  * Add Bastian Blank <waldi@debian.org> as uploader.
  * Add libparted changelog in libparted1.7-1 and libparted1.7-dev
    packages. (Closes: #369780)
  * Apply patch from David Härdeman <david@2gen.com> to improve lvm
    support to include all kind of device-mapper devices. (Closes: #367965)
  * Fix s390 patch to apply again after lvm support improvement.

 -- Otavio Salvador <otavio@debian.org>  Fri,  2 Jun 2006 11:17:12 -0300

parted (1.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix abi check. 

 -- Bastian Blank <waldi@debian.org>  Tue, 30 May 2006 17:00:54 +0200

parted (1.7.1-1) unstable; urgency=low

  * New upstream release.
    - change soname version due a ABI change;
    - update minor dependency requirement due ABI change;
  * Update the baseline symbols to allow us to detect ABI changes.
  * Enable ABI checking in build process (just in i386).
  * Add cvs as build-dependency. (Closes: #368363).

 -- Otavio Salvador <otavio@debian.org>  Mon, 29 May 2006 10:16:06 -0300

parted (1.7.0-1) unstable; urgency=low

  [ This version has some changes regarting to API and ABI so you'll
    probably need to check your code if you link anything against it. ]
  
  * New upstream release.
    - doc-package.dpatch: rediff since some parts was applied upstream
      by me;
    - reiserfs-libname.dpatch: rediff 'cause of files reorganization;
    - devfs.dpatch: likewise;
    - lvm2.dpatch: likewise;
    - s390.dpatch: likewise;
    - sparc-fix-raid: likewise;
    - fix_rescue_segfault.dpatch: dropped since it was backport from 
      upstream;
    - remove FAQ from parted-doc since upstream do not suply it 
      anymore.
  * Use ABI brokeness detection code;

 -- Otavio Salvador <otavio@debian.org>  Sat, 20 May 2006 00:32:36 -0300

parted (1.6.25.1-3) unstable; urgency=low

  * Apply patch to include kFreeBSD support. Thanks to Robert Millan
    <rmh@aybabtu.com> (Closes: #363381)
  * Apply patch to use debhelper support for shlibs in udebs. Thanks to
    Frans Pop <aragorn@tiscali.nl> (Closes: #360213)
  * Apply patch to fix RAID usage in SPARC. Thanks to Fabio Di Nitto
    <fabbione@sunfire.int.fabbione.net> (Closes: #355467)

 -- Otavio Salvador <otavio@debian.org>  Thu, 20 Apr 2006 17:45:22 -0300

parted (1.6.25.1-2) unstable; urgency=medium

  [ Otavio Salvador ]
  * New s390 patch. Urgency set to medium to try to hit testing in time to
    release s390 in D-I Beta2 timeframe (Closes: #328992);
  * Set capabitility level of debhelper to 4;

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon,  6 Feb 2006 21:37:10 -0200

parted (1.6.25.1-1) unstable; urgency=low

  [ Otavio Salvador ]
  * New upstream release:
    - sync_r388.dpatch: drop since is unneeded
  * Really change libreadline dependency (Closes: #333957)
  * Change DEPVER to 1.6.24 to force the right version number as
    dependencie and to avoid ABI mistake (Closes: #322262)
  * fix_rescue_segfault.dpatch: added. Backported from current development
    version to avoid a segfault in some uses of rescue command.

 -- Otavio Salvador <otavio@debian.org>  Thu, 17 Nov 2005 13:31:38 -0200

parted (1.6.24-4) unstable; urgency=low

  *** This version doesn't apply s390 support by default ***
  
  [ Otavio Salvador ]
  * ubd.dpatch: update to new source code.
  * Drop merged upstream patches: 
    - parted.8.dpatch
    - id.po.dpatch
    - es.po.dpatch
    - sparc.dpatch
    - gcc_warnings_fix.dpatch
    - ubd.dpatch
    - udev-devfs-rules.dpatch
  * sync_r388.dpatch: add to include current upstream fixes.
  * s390.dpatch: Resync with current upstream code.
  * *Disable* s390.dpatch by default. It has some strange things that need
    to be cleared.

  [ Bastian Blank ]
  * s390.dpatch: Update to apply again. 

 -- Otavio Salvador <otavio@debian.org>  Mon, 10 Oct 2005 16:40:00 -0300

parted (1.6.24-3) unstable; urgency=high

  [ Otavio Salvador ]
  * Applied patch from A. Costa <agcosta@gis.net> to update README.Debian
    about hfs support
  * parted.8.dpatch: manpage patch from A. Costa <agcosta@gis.net>
  * id.po.dpatch: include Indonesian language
  * es.po.dpatch: update Spanish language translation
  * sparc.dpatch: recognize partitions on sun disklabel (Closes: #328694)

 -- Otavio Salvador <otavio@debian.org>  Fri,  9 Sep 2005 10:49:35 -0300

parted (1.6.24-2) unstable; urgency=medium

  [ Otavio Salvador ]
  * Bumb Standards-Version to 3.6.2 (no changes need)
  * Update debian/watch to version 3 standard
  * Change the build-dependency to libreadline5-dev | libreadline-dev to
    allow the libreadline4-dev removal from archive ASAP. (Closes: #326309)
  * Urgency set to medium since it hasn't code changes.

 -- Otavio Salvador <otavio@debian.org>  Sat,  3 Sep 2005 12:57:49 -0300

parted (1.6.24-1) unstable; urgency=low

  [ Sven Luther ]
  * New Upstream release.

  [ Otavio Salvador ]
  * Applied my patch to solve building using Sarge's toolchain. (Closes: #321212)
  * Patch included upstream to fix some small typos on German translation
    (Jens Seidel <jensseidel@users.sf.net>). (Closes: #313948)
  * Really include udev-devfs-rules.dpatch but already on the updated
    version (Colin Watson <cjwatson@ubuntu.com>). (Closes: #311664)
  * Patch included upstream to update documentation for HFS and HFS+
    current status (Nikolaus Schulz <microschulz@web.de>). (Closes: #298020)
  * Applied patch to fix FTBFS on Hurd (Michael Banck
    <mbanck@debian.org>). (Closes: #297580)
  * gcc_warnings_fix.dpatch: Created to fix current warnings while
    building using GCC 4.0.
  * Change library soname to 13.
  * Add myself on uploaders field.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Aug 2005 15:56:50 -0300

parted (1.6.23-3) unstable; urgency=low

  * Oh well, built -2 in a broken chroot, fixed now.
  * Notice, i wwish to remember all readers that i have put out a request for
    help for this package, and altough people replied, no long standing help
    happened. As i am going to also need to take more upstream
    responsabilities, i definitively want to recall for help on parted
    packaging, especially for arches i am not so good with (and yes, this
    includes x86 :). For the ubuntu guys, next time you make a patch, you are
    welcome to do it in the parted subversion repository on alioth, and upload
    both packages if i don't comment for a longer time like i did in June.

 -- Sven Luther <luther@debian.org>  Sun, 17 Jul 2005 07:33:11 +0200

parted (1.6.23-2) unstable; urgency=low

  * The following patches where taken from the ubuntu parted package :
    - Fix gcc4 warning in lvm2 patch (Matthias Klose <doko@ubuntu.com>)
    - udev-devfs-rules.dpatch: Check for devfs-style /disc => /partN
      transformation unconditionally; the system might be using udev with
      devfs rules, and if not the test is harmless.
      (Colin Watson <cjwatson@ubuntu.com>)

 -- Sven Luther <luther@debian.org>  Sat, 16 Jul 2005 22:15:46 +0000

parted (1.6.23-1) unstable; urgency=low

  * New upstream release (1.6.23)
    - PedUnit: support for different units for sizes and offsets.
    - Error message/UI cleanup.
    - More CHS cleanup.
    - Check /sys before trying deprecated SCSI_IOCTL_SEND_COMMAND.
    - Better Apple_Free partition support.
    - Allow resizing of extended partitions, even if some logical partitions
      are mounted
    - Various DVH changes.
    - mac RAID and LVM support.
  * New upstream release (1.6.22)
    - hfs and hfs+ shrinking support merged in upstream.
    - gcc4 fixes.
    - minor UI and documentation changes/fixes.
    - support lvm on mac partition tables.
  * Backed out again the size column addition, was a patch from Jari Aalto
    <jari.aalto@cante.net> with regard to Bug #109613, but a new patch will
    hopefully make it to 1.6.24.
  * Unbashized dpatches (Closes: #298017)
  * Fixed amiga partition tables to use RAID/LVM partition types instead of
    subverting flags for it.
  * Removed the s390 patch, which needs a full review with regard to the
    PedUnit stuff i believe. In particular with regard to the sector size
    support. Please try to get this one integrated upstream, as it is the last 
    problematic big debian-specific patch remaining.

 -- Sven Luther <luther@debian.org>  Mon, 11 Jul 2005 12:41:06 +0200

parted (1.6.21-1) unstable; urgency=low

  * Unstable build, as we will be moving 1.6.21 into sarge after all.
  * Readded bunch of missing fixes from the sarge/sid branch :
    - Dropped libreiserfs support.
    - Now build depends on libreadline4-dev | libreadline-dev, to work around
      the bogus libreadline5 upload during the sarge freeze. (Bug: #279574)
    - Drop any udeb magic, fixing .udeb dependency generation (Bastian Blank).
      (Bug: #270133)
    - Added mention of HFS and HFS+ resize feature in manpage. (Bug: #275650)

 -- Sven Luther <luther@debian.org>  Sun, 30 Jan 2005 19:07:42 +0100

parted (1.6.21-0.exp.2) experimental; urgency=low

  * Dropped ubd patch, since it may be superceded by another fix in 1.6.21 :
    - Sets the type to PED_DEVICE_UNKNOWN on block devices that don't fall
      into the standard categories.  This makes libparted correctly update
      the kernel's view of partition tables, etc.
  * Added comments about upstream status to all .dpatches.
  * Dropped parted-bf, we no longer build this package in the sarge/sid version.
  * Changed libparted1.6-udeb to provide libparted1.6-12. (Bug: #292781)

 -- Sven Luther <luther@debian.org>  Sun, 30 Jan 2005 18:47:10 +0100

parted (1.6.21-0.exp.1) experimental; urgency=low

  * New upstream release.
    - renamed prep-boot PReP boot partition name to prep.
    - Fixed PED_SWAP macros missing, obsoleting amiga-64bit dpatch.
    - Fixed sun cylinder recording stuff, obsoleting sun_disklabel dpatch.
    - Removed bogus assertion, obsoleting no-clobber dpatch.
    - Only treat the device as devfs if it has /disc on the end.
    - Now use _partition_is_mounted_by_dev instead of guessing the partition
      device name.
    - Sets the type to PED_DEVICE_UNKNOWN on block devices that don't fall
      into the standard categories.  This makes libparted correctly update
      the kernel's view of partition tables, etc.  
    - Improved heuristic for finding broken dos partition tables: test if
      any feasible solution geometry exists against the end cylinder rather
      than 1024. This heuristic now has fewer false negatives and no false
      positives.

 -- Sven Luther <luther@debian.org>  Sat, 29 Jan 2005 17:06:56 +0100

parted (1.6.20-0.exp.2) experimental; urgency=low

  * Fixed 64bit FTBFS in disk_amiga.c introduced by Andrew's cosmetic changes.
    (Closes: #286462)

 -- Sven Luther <luther@debian.org>  Tue,  4 Jan 2005 22:52:18 +0100

parted (1.6.20-0.exp.1) experimental; urgency=low

  * New upstream release :
    - now includes assorted debian patches, like the amiga partition table
      support and the Smart BootManager stuff.
    - dvh: zero out the boot file name record before writing the name in.
    - only attempt to check file systems if checking is implemented for
      that file system type.
    - when correcting the boot sector, use fat_boot_sector_write() to make
      sure the backup copy gets written (if applicable).

 -- Sven Luther <luther@debian.org>  Sat, 18 Dec 2004 19:26:17 +0100

parted (1.6.19-0.exp.3) experimental; urgency=low

  * Enabled MS-DOS disk label detection when Smart BootManager patch which was
    forgotten previously :/

 -- Sven Luther <luther@debian.org>  Tue, 14 Dec 2004 14:13:37 +0100

parted (1.6.19-0.exp.2) experimental; urgency=low

  * Re-enabled hfs patch, since i got a new version from Guillaume Knispel.

 -- Sven Luther <luther@debian.org>  Fri,  3 Dec 2004 18:45:16 +0100

parted (1.6.19-0.exp.1) experimental; urgency=low

  * New upstream release :
    - refuses to resize Windows Dynamic Disk partitions.
    - allows reparation of damaged FAT file systems with "check".
    - assorted smaller changes.

 -- Sven Luther <luther@debian.org>  Sun, 28 Nov 2004 11:41:39 +0100

parted (1.6.18-0.exp.1) experimental; urgency=low

  * New upstream release :
    - More dos CHS geometry fixes.
    - Now knows about the new sun-ufs partition ID (0xbf).
    - Longer than 32bit GPT partition fix.
    - removed bogus (int) casts, may fix large partition table problem, see
      Bug #279732.
  * Legacy amiga hardware compatibility fixes :
    - non-full blocks should be padded by 0x00 and not 0xff.
    - builtin filesystem driver pointer offset was off by one, thus
      causing libparted to overwrite them if partitions are added.
  * Added RAID & LVM flag for partitions on amiga partition tables.
  * Readded missing 1.6.9-3.2 fixes :
    - MS-DOS disk label detection when Smart BootManager is installed fix by
      Matt Kraai (Bug #259248).
    - Recognize UML UBD devices by Matt Zimmerman (Bug #258188).
  * Added PREP flag for MBR partition tables. (Bug #245451)
  * Dropped hfs resize patch for now, as it doesn't apply cleanly to 1.6.18.

 -- Sven Luther <luther@debian.org>  Sat, 27 Nov 2004 11:57:51 +0100

parted (1.6.14-0.exp.2) experimental; urgency=low

  * Added new hfs patch.

 -- Sven Luther <luther@debian.org>  Wed,  8 Sep 2004 07:55:18 +0200

parted (1.6.14-0.exp.1) experimental; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Mon,  6 Sep 2004 15:28:59 +0200

parted (1.6.12-0.exp.1) experimental; urgency=low

  * New upstream release. (Closes: #254502)
    - should fix 2.6 kernel BIOS CHS geometry problems. Broke binary
      compatibility though, thus the soname change.
  * Substituted some inaccurate terms in the doc (Fabio Tranchitella).
    (Closes: #211746)
  * Update s390 patch (Bastian Blank).
  * Always regenerate autoconf/automake files (Bastian Blank).
  * Dropped dvh patch, since a cleaner version is now upstream (Sven Luther).
  * New updated hfs-resize patch (Guillaume Knispel)

  * Thanks to Fabio Tranchitella, Bastian Blank, Guillaume Knispel and
    Peter Samuelson who made this release possible.

 -- Sven Luther <luther@debian.org>  Thu,  2 Sep 2004 09:41:29 +0200

parted (1.6.11-9) unstable; urgency=low

  * Applied large-partitions patch to show correct partition data.  Thanks
    go to Peter Chubb <peterc@gelato.unsw.edu.au> for providing the patch.
    (Closes: #279732)

 -- Sven Luther <luther@debian.org>  Thu, 25 Nov 2004 14:32:36 +0100

parted (1.6.11-8) unstable; urgency=low

  * Now build depends on libreadline4-dev | libreadline-dev, to work around
    the bogus libreadline5 upload during the sarge freeze. (Closes: #279574)

 -- Sven Luther <luther@debian.org>  Thu,  4 Nov 2004 14:42:11 +0100

parted (1.6.11-7) unstable; urgency=low

  * Added LVM flag for partitions on amiga partition tables.
  * Added PREP flag for MBR partition tables. (Closes: #245451)
  * Added mention of HFS and HFS+ resize feature in manpage.
    (Closes: #275650)
  * Dropped libreiserfs0.3-0 recommend, as it is no more part of sarge.
    (Closes: #276887)
  * Really readded missing 1.6.9-3.2 fixes :
    - MS-DOS disk label detection when Smart BootManager is installed fix by
      Matt Kraai (Bug #259248).

 -- Sven Luther <luther@debian.org>  Mon,  1 Nov 2004 12:03:25 +0100

parted (1.6.11-6) unstable; urgency=low

  * Really apply the chs patch this time.
  * Rewrote description and README.Debian to take care of removed reiserfs
    support as well as added amiga filesystem probing support.
    (Closes: #273751)

 -- Sven Luther <luther@debian.org>  Tue, 28 Sep 2004 06:11:58 +0200

parted (1.6.11-5) unstable; urgency=low

  * Added RAID flag to amiga partition tables.
  * Removed libreiserfs support, since progreiserfs will be kicked from sarge
    (Closes: #272783).

 -- Sven Luther <luther@debian.org>  Sat, 25 Sep 2004 00:32:15 +0200

parted (1.6.11-4) unstable; urgency=low

  * Legacy amiga hardware compatibility fixes :
    - non-full blocks should be padded by 0x00 and not 0xff.
    - builtin filesystem driver pointer offset was off by one, thus causing
      libparted to overwrite them if partitions are added.
  * Readded missing 1.6.9-3.2 fixes :
    - MS-DOS disk label detection when Smart BootManager is installed fix by
      Matt Kraai (Bug #259248).
    - Recognize UML UBD devices by Matt Zimmerman (Bug #258188).
    - gcc 3.4 build fixes by Andreas Jochens (Bug #259534).
  * Dropped last remains of the parted-bf package.

 -- Sven Luther <luther@debian.org>  Fri, 17 Sep 2004 10:51:34 +0200

parted (1.6.11-3) unstable; urgency=low

  * Drop any udeb magic, fixing .udeb dependency generation (Bastian Blank).
    (Closes: #270133)
  * Moved the maintainer address to the parted-maintainers alioth list.

 -- Sven Luther <luther@debian.org>  Mon,  6 Sep 2004 14:13:12 +0200

parted (1.6.11-2) unstable; urgency=low

  * Should have gone into unstable, not experimental :/

 -- Sven Luther <luther@debian.org>  Fri,  3 Sep 2004 19:27:47 +0200

parted (1.6.11-1) experimental; urgency=low

  * New upstream release. (Closes: #254502)
    - should fix 2.6 kernel BIOS CHS geometry problems. Broke binary
      compatibility though, thus the soname change.
  * Substituted some inaccurate terms in the doc (Fabio Tranchitella).
    (Closes: #211746)
  * Update s390 patch (Bastian Blank).
  * Always regenerate autoconf/automake files (Bastian Blank).
  * New updated hfs-resize patch (Guillaume Knispel)
  * Added backported CHS BIOS geometry fix.
    - libparted/disk_dos.c (read_table, process_bad_chs): now probes
      Microsoft file systems for BIOS CHS geometry. This idea was
      suggested by Steffen Winterfeldt <snwint@suse.de>.

  * Thanks to Fabio Tranchitella, Bastian Blank, Guillaume Knispel and
    Peter Samuelson who made this release possible.

 -- Sven Luther <luther@debian.org>  Thu,  2 Sep 2004 09:41:29 +0200

parted (1.6.9-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Detect a MS-DOS disk label when Smart BootManager is installed
    (closes: #259248).
  * Fix build failure, thanks to Andreas Jochens (closes: #259534).
  * Recognize UML UBD devices, thanks to Matt Zimmerman (closes: #258188).

 -- Matt Kraai <kraai@debian.org>  Sun, 08 Aug 2004 11:00:32 -0700

parted (1.6.9-3.1) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Add patch to write a proper DVH header.  Thanks to Thiemo Seufer.
    (Closes: #239371)

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 20 Jun 2004 14:10:44 +0100

parted (1.6.9-3) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Add patch to find LVM2 devices by looking in /dev/mapper.  Thanks
    to Andres Salomon. (Closes: #247174)

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 09 May 2004 00:23:33 +0100

parted (1.6.9-2) unstable; urgency=low

  * Add devfs partition detection patch for 2.6 kernels, thanks to
    Joey Hess <joeyh@debian.org>. (Closes: #243635)
  * Added a more complete s390 sector size patch by Lucius Leland
    <Leland.Lucius@ecolab.com>. (Closes: #243554)

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 10:27:58 +0200

parted (1.6.9-1) unstable; urgency=low

  * New upstream release, gcc-33, linux-kernel-header, m68k-padding, palo and
    parted-m4 are now included upstream.
  * Really apply sun disk label patch.

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 09:14:21 +0200

parted (1.6.6-11) unstable; urgency=low

  * Fixed broken sun disk label reading. Thanks to Peter Samuelson for testing
    and providing the patch. (Closes: #238091)
  * libparted-udeb not provides libparted1.6-0 too. (Closes: #239334)

 -- Sven Luther <luther@debian.org>  Mon, 29 Mar 2004 14:50:31 +0200

parted (1.6.6-10) unstable; urgency=low

  * Added patch by Bastian Blank to take sector size in account on hardware
    needing bigger than 512 byte. (Closes: #236325)

 -- Sven Luther <luther@debian.org>  Thu, 18 Mar 2004 14:18:58 +0100

parted (1.6.6-9) unstable; urgency=low

  * debian/control.in: Added dpatch Build-Dependancy, debian/control is
    generated from this file, which is why this build-dep kept being deleted.
    (closes: #232570)
  * Created new errors-to-stderr patch to print exceptions to stderr when in
    script mode (closes: #196040)

 -- Timshel Knoll-Miller <timshel@debian.org>  Tue, 24 Feb 2004 10:54:11 +1100

parted (1.6.6-8) unstable; urgency=low

  * Added read-gpt-1.02 patch to allow reading GPT header revision 1.02
    (closes: #210584)
  * Added minor documenation fix to doc-package patch
    (closes: #211747)

 -- Timshel Knoll-Miller <timshel@debian.org>  Wed, 11 Feb 2004 18:08:14 +1100

parted (1.6.6-7) unstable; urgency=low

  * Added palo patch needed on parisc, thanks go to Richard Hirst
    <richard@sleepie.demon.co.uk> for providing a patch.
    (Closes: #229626).
  * Added parted.m4 patch provided by Petter Reinholdtsen <pere@hungry.com>,
    (Closes: #223764).

 -- Sven Luther <luther@debian.org>  Tue, 27 Jan 2004 11:16:30 +0100

parted (1.6.6-6) unstable; urgency=low

  * dpatch build-depency got lost again :(.

 -- Sven Luther <luther@debian.org>  Sun, 25 Jan 2004 12:34:20 +0100

parted (1.6.6-5) unstable; urgency=low

  * Added hfs resize patch from Guillaume Knispel <k_guillaume@libertysurf.fr>.
    (Closes: #226115)

 -- Sven Luther <luther@debian.org>  Sat, 24 Jan 2004 16:33:14 +0100

parted (1.6.6-4) unstable; urgency=low

  * Aknowledge Petter's NMU. (Closes: #225875)
  * Fix amiga block checksum fixing.

 -- Sven Luther <luther@debian.org>  Thu, 22 Jan 2004 19:48:50 +0100

parted (1.6.6-3.1) unstable; urgency=low

  * Non-maintainer upload to fix d-i problem before deadline.
  * Add build-depend on dpatch. (Closes: #225875)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  2 Jan 2004 18:27:52 +0100

parted (1.6.6-3) unstable; urgency=low

  * Removed some extra () around BLKGETSIZE64 that were not really needed.
  * Removed a fs->clobber assertion that did break since the amiga filesystem
    doesn't provide a clobber op. (Closes: #225754)

 -- Sven Luther <luther@debian.org>  Thu,  1 Jan 2004 20:40:39 +0100

parted (1.6.6-2) unstable; urgency=low

  * Adding myself as comaintainer of the package, as discussed with Timshel
    Knoll.
  * Start using dpatch, and move all debian specific patches into
    debian/patches/*.dpatch. Thanks to Petter Reinholdtsen <pere@debian.org>
    for doing the work.
  * Added libuuid dependency to udebs. Thanks to Matt Kraai <kraai@debian.org>
    for providing the patch and following this. (Closes: #221225, #221226)

 -- Sven Luther <luther@debian.org>  Wed, 31 Dec 2003 08:54:24 +0100

parted (1.6.6-1.2) unstable; urgency=low

  * Added amiga filesystem probing support. (Closes: #219947)
  * Fixed wrong linux/fs.h header copying. (Closes: #218980)
  * Now build-depends on the fixed version of linux-kernel-headers, so we
    don't get bit by the __invalid_size_argument_for_IOC signedness problem.
    (See bug #219940)

 -- Sven Luther <luther@debian.org>  Tue, 16 Dec 2003 14:22:33 +0100

parted (1.6.6-1.1) unstable; urgency=low

  * Added amiga RDB partitioning support. (Closes: #212536)
  * Do not install policy-prohibited control files in udebs.
    Thanks to Matt Kraai for the patch. (Closes: #216133)

 -- Sven Luther <luther@debian.org>  Wed, 29 Oct 2003 16:11:35 +0100

parted (1.6.6-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue,  2 Sep 2003 00:43:00 +1000

parted (1.6.5-3) unstable; urgency=low

  * Policy 3.5.9, Made udebs Priority: extra
  * Changed descriptions to add that parted can remove all listed
    filesystems (closes: #191523)
  * Applied missing type suffix compile fix patch for gcc-3.3 and hurd,
    thanks to Ognyan Kulev and Sven Luther (closes: #195318, #200337)
  * m68k padding fix patch patch from Sven Luther (closes: #207634)

 -- Timshel Knoll <timshel@debian.org>  Sat, 30 Aug 2003 10:44:52 +1000

parted (1.6.5-2) unstable; urgency=low

  * NMU with maintainers consent.
  * Fixed some gcc 3.3 build problems. (Closes: #200337)

 -- Sven Luther <luther@debian.org>  Thu, 24 Jul 2003 10:36:15 +0200

parted (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Made libparted1.6-dev and libparted1.6-dbg Section: libdevel

 -- Timshel Knoll <timshel@debian.org>  Wed, 30 Apr 2003 16:01:19 +1000

parted (1.6.4-2) unstable; urgency=low

  * debian/control.in: Build-Depends: debhelper (>= 4.1.1), as dh_shlibdeps'
    -L flag was introduced in that version (closes: #179473)
  * debian/rules: Update config.sub and config.guess on clean

 -- Timshel Knoll <timshel@debian.org>  Wed, 19 Feb 2003 22:13:22 +1100

parted (1.6.4-1) unstable; urgency=low

  * New upstream release
    + ped_disk_destroy API documentation inconsistency fixed (closes: #168850)
    + the invalidate: busy buffer warning message issue was actually fixed
      in the 1.6.0-pre5 release (closes: #146607)
    + Mention is now made of the root disk in the info docs (closes: #157003)
  * Standards-Version: 3.5.8:
    + Support building with gcc -g by default, support DEB_BUILD_OPTIONS=noopt
  * Made libparted1.6-0 Suggests: parted | nparted (closes: #168177)
  * Removed . from end of libparted1.6-0 synopsis to fix lintian error
  * Build udeb packages libparted1.6-udeb and parted-udeb for
    debian-installer, built with the -Os gcc flag to optimise for size
    (parted-bf is also now built with -Os) (thanks to
    Dann Frazier <dannf@debian.org> for a udeb patch) (closes: #172020)
  * Made libparted's reiserfs support dlopen the full filename of libreiserfs,
    rather than just the libreiserfs.so symlink. This means that parted's
    reiserfs support will now work without the libreiserfs0.3-dev package
    being installed (closes: #163107)

 -- Timshel Knoll <timshel@debian.org>  Tue, 10 Dec 2002 23:25:59 +1100

parted (1.6.3-3) unstable; urgency=low

  * GNU Parted is now built against libreiserfs (closes: #156149)
  * debian/control:
    + Build-Depend on libreiserfs0.3-dev
    + libparted1.6-0 now Recommends: libreiserfs0.3-0

 -- Timshel Knoll <timshel@debian.org>  Wed, 11 Sep 2002 01:45:21 +1000

parted (1.6.3-2) unstable; urgency=low

  * debian/rules: use readlink to read link destination (closes: #157821)

 -- Timshel Knoll <timshel@debian.org>  Thu, 22 Aug 2002 18:18:23 +1000

parted (1.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed Priority: override disparities (default Priority was still extra
      from when these were experimental parted1.6 packages)
    + Remove details of pre-release status notice from package description
      (closes: #152655, #154818)
  * Direct people looking for info docs to the parted-doc package
    (closes: #152042)
  * Wierd ... ls -l x | awk '{ print $11 }' is no longer giving the symlink
    dest, $10 is though :-/. I'll see how this goes with $10 ...

 -- Timshel Knoll <timshel@debian.org>  Tue, 20 Aug 2002 19:40:44 +1000

parted (1.6.2-1) unstable; urgency=low

  * New upstream release
  * Build-Depend on texinfo (>= 4.2), as parted.texi uses a new 4.2 directive

 -- Timshel Knoll <timshel@debian.org>  Wed, 10 Jul 2002 08:51:17 +1000

parted (1.6.1-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 18 Jun 2002 16:42:47 +1000

parted (1.6.0-1) unstable; urgency=low

  * New upstream release
  * Source package renamed back to "parted", 1.6 is now considered
    "stable" so uploaded to sid

 -- Timshel Knoll <timshel@debian.org>  Tue, 30 Apr 2002 23:05:42 +1000

parted1.6 (1.5+1.6.0-pre10-1) experimental; urgency=low

  * New upstream pre-release
  * This upstream release supports creating/resizing reiserfs filesystems,
    if Yury Umanets' libreiserfs is installed. However, there is no Debian
    package of libreiserfs (yet - I am working on it). So if you want this
    support, you'll have to fetch progsreiserfs from
    http://reiserfs.linux.kiev.ua/ and compile/install it yourself for this
    support to be activated.

 -- Timshel Knoll <timshel@debian.org>  Fri, 26 Apr 2002 01:51:04 +1000

parted1.6 (1.5+1.6.0-pre9-1) experimental; urgency=low

  * New upstream pre-release

 -- Timshel Knoll <timshel@debian.org>  Wed, 10 Apr 2002 15:11:52 +1000

parted1.6 (1.5+1.6.0-pre8-1) experimental; urgency=low

  * New upstream pre-release

 -- Timshel Knoll <timshel@debian.org>  Mon,  8 Apr 2002 23:23:20 +1000

parted1.6 (1.5+1.6.0-pre7-1) experimental; urgency=low

  * New upstream pre-release

 -- Timshel Knoll <timshel@debian.org>  Sat,  6 Apr 2002 01:08:35 +1000

parted1.6 (1.5+1.6.0-pre6-1) experimental; urgency=low

  * New upstream pre-release

 -- Timshel Knoll <timshel@debian.org>  Sat,  6 Apr 2002 00:42:30 +1000

parted1.6 (1.5+1.6.0-pre5-2) experimental; urgency=low

  * Recompile against latest e2fsprogs to fix dependancy issues
    (see e2fsprogs #139274)

 -- Timshel Knoll <timshel@debian.org>  Tue, 26 Mar 2002 18:19:58 +1100

parted1.6 (1.5+1.6.0-pre5-1) experimental; urgency=low

  * New upstream pre-release
  * debian/{partprobe.8, parted.manpages, rules}: manpage added for partprobe
    (closes: #137104)
  * debian/control.in: make all parted1.6 packages Priority: extra, as
    parted1.6 and parted1.6-doc Conflict: with the optional parted and
    parted-doc packages.
  * removed "#include <asm/page.h>" from libparted/fs_linux_swap/linux_swap.c,
    which should fix build problems on ia64.

 -- Timshel Knoll <timshel@debian.org>  Tue, 26 Mar 2002 17:09:08 +1100

parted1.6 (1.5+1.6.0-pre4-1) experimental; urgency=low

  * New upstream pre-release
  * debian/control.in, debian/rules: ship locales package separately. This
    means that libparted1.6-0 no longer needs to Conflict: libparted1.4,
    both packages can be installed concurrently. Actually, I just realised
    that libparted1.6-0 never actually needed to Conflict: libparted1.4,
    Replaces: libparted1.4 would have been enough ...
  * debian/control.in:
    - Added pre-release status of package to package descriptions
      (closes: #137475)
    - Made libparted1.6-0 Replaces: libparted1.4 (<< 1.4.24-2).
      libparted1.4 (>= 1.4.24-2) should be able to co-exist with libparted1.6,
      but I forgot about the (<< 1.4.24-2) case ... (closes: #137567)
  * debian/rules:
    - debian/rules: use DESTDIR rather than prefix when 'make install'ing.
      Use $(CURDIR) instead of `pwd`.
    - lots of small fixes
    - remove the locales dir from debian/tmp before checking if any files
      are left after dh_movefiles
  * debian/parted.files: Grab all of sbin rather than just sbin/parted.
    This picks up partprobe
  * debian/parted.undocumented: partprobe currently has no manpage (will be
    fixed before 1.6.0-1 goes into sid)

 -- Timshel Knoll <timshel@debian.org>  Wed, 13 Mar 2002 15:18:43 +1100

parted1.6 (1.5+1.6.0-pre3-1) experimental; urgency=low

  * New upstream pre-release
  * debian/control.in: -doc package name changed to parted1.6-doc ...
  * debian/rules: generate parted1.6-doc.* files

 -- Timshel Knoll <timshel@debian.org>  Tue,  5 Mar 2002 14:20:04 +1100

parted1.6 (1.5+1.6.0-pre2-1) experimental; urgency=low

  * New upstream pre-release, built for experimental
  * Don't include doc/USER in parted-doc, use the doc/parted.info texinfo file
    instead ...
  * Build the library packages as libparted[upstream 2 digit version]-[soname]
    eg. libparted1.6-0

 -- Timshel Knoll <timshel@debian.org>  Fri,  1 Feb 2002 21:02:00 +1100

parted1.6 (1.5+1.6.0-pre1-1) unstable; urgency=low

  * New packages of 1.6 pre-release series
  * Fixed compile warnings (hence errors with -Werror) in
    libparted/disk_mips.c

 -- Timshel Knoll <timshel@debian.org>  Fri,  1 Feb 2002 18:41:31 +1100

parted (1.4.23-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Wed, 16 Jan 2002 00:02:03 +1100

parted (1.4.22-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 30 Dec 2001 00:51:42 +1100

parted (1.4.21-1) unstable; urgency=low

  * New upstream release
  * Disable -Werror when building on s390 (closes: #121267)

 -- Timshel Knoll <timshel@debian.org>  Fri,  7 Dec 2001 23:51:02 +1100

parted (1.4.20-1) unstable; urgency=low

  * New upstream release
  * Upstream now uses C99's PRIx64 for printf'ing __u64's - this fixes
    compilation warnings on alpha and ia64 (closes: #115369)
  * This should fix all alpha compile warnings, so removed --disable-Werror
    configure flag when compiling on alpha (-Werror will help find bugs)

 -- Timshel Knoll <timshel@debian.org>  Mon, 15 Oct 2001 11:00:29 +1000

parted (1.4.19-2) unstable; urgency=low

  * debian/rules: call ./configure with --disable-Werror flag on
    alpha as well ... (closes: #114172)

 -- Timshel Knoll <timshel@debian.org>  Mon,  8 Oct 2001 12:51:47 +1000

parted (1.4.19-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 30 Sep 2001 18:51:41 +1000

parted (1.4.18+19pre2-5) unstable; urgency=low

  * Applied Matt Domsch <Matt_Domsch@Dell.com>'s GPT (GUID Partition Tables)
    support patch (closes: #105555)

 -- Timshel Knoll <timshel@debian.org>  Sat, 15 Sep 2001 10:46:55 +1000

parted (1.4.18+19pre2-4) unstable; urgency=low

  * debian/control: Build-Depend on libtool (closes: #112110)

 -- Timshel Knoll <timshel@debian.org>  Thu, 13 Sep 2001 11:20:56 +1000

parted (1.4.18+19pre2-3) unstable; urgency=low

  * Fixes to *really* fix building on m68k (yes really this time ... grrr):
    - configure.in: hacked to add --disable-Werror argument
    - debian/control: added Build-Depends on recent autoconf and automake
    - debian/rules:
      + run aclocal, autoconf and automake before ./configure'ing
      + run configure with --disable-Werror argument on m68k

 -- Timshel Knoll <timshel@debian.org>  Wed, 12 Sep 2001 16:43:59 +1000

parted (1.4.18+19pre2-2) unstable; urgency=low

  * debian/control:
    + Fixed typo - fixed typo - libparted1.4 package was Priority: extra
      instead of parted-bf package for the last 2 releases - fixed this
    + Updated the file system support list in package descriptions
    + Removed Build-Depends: on autoconf, automake and libtool - these are
      only needed if autoconf/automake need to be re-run ... (not the case)
  * debian/rules:
    + pass the correct libparted library directory to dh_shlibdeps for
      correct parted package dependancies (closes: #102359)
  * debian/README.Debian: Updated the file system support list

 -- Timshel Knoll <timshel@debian.org>  Mon, 10 Sep 2001 00:40:49 +0000

parted (1.4.18+19pre2-1) unstable; urgency=low

  * New upstream (pre-) release
  * Build with -Wno-uninitialized on m68k (really closes: #110264)

 -- Timshel Knoll <timshel@debian.org>  Mon, 10 Sep 2001 00:28:47 +1000

parted (1.4.18+19pre1-1) unstable; urgency=low

  * New upstream (pre-) release (closes: #110264)
  * debian/rules, debian/control:
    + Build parted-bf package, built with --disable-readline (closes: #109161)
    + Now using debhelper v3

 -- Timshel Knoll <timshel@debian.org>  Wed,  5 Sep 2001 13:08:56 +1000

parted (1.4.18-1) unstable; urgency=low

  * New upstream release (never uploaded)

 -- Timshel Knoll <timshel@debian.org>  Mon, 20 Aug 2001 20:23:41 +1000

parted (1.4.17-1) unstable; urgency=low

  * New upstream release
  * debian/rules: build with CFLAGS += -Wno-unused on m68k to work around
    compiler bug (closes: #105819)

 -- Timshel Knoll <timshel@debian.org>  Mon, 23 Jul 2001 09:39:22 +1000

parted (1.4.16-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 17 Jul 2001 14:14:38 +1000

parted (1.4.15-2) unstable; urgency=low

  * Fixed ia64 compile errors (thanks to Jeff Licquia) (closes: #105529)

 -- Timshel Knoll <timshel@debian.org>  Tue, 17 Jul 2001 10:22:56 +1000

parted (1.4.15-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 10 Jul 2001 11:43:26 +1000

parted (1.4.14-1) unstable; urgency=low

  * New upstream release
  * debian/control: libparted1.4 Conflicts: parted (<< 1.4.13+14pre1), to
    make sure that the soname change doesn't break stuff.

 -- Timshel Knoll <timshel@debian.org>  Wed, 30 May 2001 21:55:26 +1000

parted (1.4.13+14pre2-1) unstable; urgency=low

  * New upstream release
  * This means I don't need a patched configure.in, so don't need to
    Build-Depend: auto{conf,make}, libtool ... (closes: Bug#99015)
    Left the Build-Depends there anyway (just in case)
  * This upstream release uses libtool 1.4 anyway, so that alone would fix
    #99015 as well :-)
  * debian/rules:
    - explicitly specify --enable-shared to configure in configure target
      (bug workaround for this version, shared libs aren't built by default)
    - explicitly specify --disable-shared to configure in configure-dbg
      target, this should substantially shorten the build time.

 -- Timshel Knoll <timshel@debian.org>  Tue, 29 May 2001 10:10:09 +1000

parted (1.4.13-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sat, 26 May 2001 22:48:13 +1000

parted (1.4.12-2) unstable; urgency=low

  * debian/rules: Lots of updates to get stuff building properly, merged
    binary-common and binary-libparted$(LIBPKGVER)-dbg rules.
  * debian/control updates:
    - added Build-Depends: autoconf (>= 2.50), automake (>= 1.4-p1), libtool
      (closes: Bug#98673)
    - Added '| libncurses5-dev' to libncurses-dev Build-Depends to provide
      non-virtual installation candidate.
    - Standards-Version: 3.5.4

 -- Timshel Knoll <timshel@debian.org>  Sat, 26 May 2001 14:53:59 +1000

parted (1.4.12-1) unstable; urgency=low

  * New upstream release
  * debian/rules: made {build{,-dbg},configure{,-dbg}}-stamp stuff depend
    directly on $(GENFILES), which stops ./configure from being repeatedly
    run unnecessarily during the build procedure.

 -- Timshel Knoll <timshel@debian.org>  Tue, 22 May 2001 17:26:34 +1000

parted (1.4.11-4) unstable; urgency=low

  * debian/control: libparted1.4-dbg Priority: extra
  * debian/control: parted & libparted-dev now Suggests: parted-doc
    (closes: Bug#97556)

 -- Timshel Knoll <timshel@debian.org>  Tue, 15 May 2001 23:13:41 +1000

parted (1.4.11-3) unstable; urgency=low

  * Some big updates - lots of library versioning stuff automated ...
    - debian/control and debian/shlibs.local now being generated from
      debian/control.in and debian/shlibs.local.in respectively, with
      debian/rules
    - debian/libparted2{,-dev}.* moved to debian/libparted{,-dev}.*,
      these are now copied to their appropriate places when necessary
    - LIBPKGVER variable added to debian/rules, this is the library
      package version (part of the library name). Initially set to
      1.4, which is the new version number of libparted (ie. the
      libparted package is now named libparted1.4, to keep in line
      with upstream). I'll add a letter which will be bumped whenever
      upstream's soname changes, if necessary (ie. libparted1.4a) ...
  * Added support for DEB_BUILD_OPTIONS=noopt (compiles without -O2).
  * debian/control.in debian/rules: Added building of libparted2-dbg
    package, unstripped static lib with malloc debugging enabled.
  * Fixed problem with ./configure being run twice, once on
    'debian/rules build' and again on 'debian/rules binary-arch'
  * Fixed shlibs library version _properly_, I changed the depends:
    version but not the soname version :-(. With the versioning automation
    stuff I have also added a LIBSONAME substitution, and also check that
    parted's soname is what debian/rules (and thus debian/shlibs.local)
    think that it is ...

 -- Timshel Knoll <timshel@debian.org>  Wed,  2 May 2001 15:15:20 +1000

parted (1.4.11-2) unstable; urgency=low

  * Apparently 1.4.11 has a new soname, changed shlibs.local and
    dh_makeshlibs to use (>= 1.4.11) (closes: Bug#95846)

 -- Timshel Knoll <timshel@debian.org>  Tue,  1 May 2001 12:03:56 +1000

parted (1.4.11-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Thu, 19 Apr 2001 01:49:23 +1000

parted (1.4.10-2) unstable; urgency=low

  * debian/rules: Added support for $DEB_BUILD_OPTIONS
  * debian/rules: removed call to deprecated dh_suidregister
  * debian/rules: added separate configure[-stamp] targets which call configure
  * debian/control: updated disklabel list in package descriptions, added
         list of supported filesystems.
  * debian/control: libparted2: added Conflicts: and Replaces: libparted
  * debian/README.Debian: updated disklabel list, added detailed list
         of supported filesystem and the amount of support for each

 -- Timshel Knoll <timshel@debian.org>  Thu, 29 Mar 2001 19:57:58 -0800

parted (1.4.10-1) unstable; urgency=low

  * New upstream release
  * Converted to cvs-buildpackage.
  * debian/rules: removed call to obsolete dh_testversion.
  * debian/parted-doc.docs: removed reference to 0 byte file BUGS
    (well, no bugs, great) :-)

 -- Timshel Knoll <timshel@debian.org>  Tue, 20 Mar 2001 00:47:22 +1100

parted (1.4.9-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Mon, 19 Feb 2001 18:21:43 +1100

parted (1.4.8-1) unstable; urgency=low

  * New upstream release
  * debian/control: Made libparted2 Suggest: libparted2-dev

 -- Timshel Knoll <timshel@debian.org>  Sat, 10 Feb 2001 09:51:10 +1100

parted (1.4.7-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/libparted1[-dev]*, debian/rules:
    Updated library package names to libparted2 and libparted2-dev, as
    this upstream version contains incompatible changes to the library
    versioning system
  * debian/control: Updated build-depends: on debhelper to version
    >= 2.0 (for DH_COMPAT=2), added gettext.
  * debian/README.Debian: updated list of supported partition tables
    (added BSD disklabels to the list)

 -- Timshel Knoll <timshel@debian.org>  Sun,  4 Feb 2001 18:30:05 +1100

parted (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun,  7 Jan 2001 18:57:46 +1100

parted (1.4.5-1) unstable; urgency=low

  * New upstream release
  * Updated package descriptions and README.Debian with a list of
    supported partition tables / disklabels.
  * debian/copyright: fixed bad email addresses of upstream authors, changed
    copyright to Free Software Foundation, Inc. (it has been signed over
    to the FSF).

 -- Timshel Knoll <timshel@debian.org>  Sun,  7 Jan 2001 18:39:59 +1100

parted (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun,  3 Dec 2000 18:58:28 +1100

parted (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 28 Nov 2000 11:05:45 +1100

parted (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Removed empty NEWS file from parted-doc - fixes lintian warning.
  * Changed all calls to dh_testversion in debian/rules to version 2.
  * Modified debian/rules to not call dh_makeshlibs for arch-independent
    parted-doc package.

 -- Timshel Knoll <timshel@debian.org>  Wed, 22 Nov 2000 01:16:52 +1100

parted (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Renamed libparted0 to libparted1, and libparted0-dev to libparted1-dev.
  * Changed shlibs to depend on 'libparted1 (>= 1.4.0)' rather than
    'libparted1 (= ${Source-Version})'.
  * Made libparted1 Conflicts: libparted0 Replaces: libparted0 (since both
    have their NLS messages in /usr/share/locale/*/LC_MESSAGES/parted.mo) -
    I must find some way to work around this!!!

 -- Timshel Knoll <timshel@debian.org>  Sun, 19 Nov 2000 22:52:57 +1100

parted (1.2.13-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Mon, 13 Nov 2000 09:49:54 +1100

parted (1.2.12-1) unstable; urgency=low

  * New upstream release
  * Changed build system to use DH_COMPAT=2, so the 'parted' package now
    builds in the debian/parted directory. This included moving the 'dirs'
    file to 'parted.dirs', and 'docs' to 'parted.docs', amongst other things.

 -- Timshel Knoll <timshel@debian.org>  Sun,  5 Nov 2000 14:59:25 +1100

parted (1.2.11-1) unstable; urgency=low

  * New upstream release
  * Moved parted.m4 (in /usr/share/aclocal) from parted to libparted0-dev.
  * Moved all locales (from /usr/share/locales) from parted to libparted0.
    This is the right behavior since most of the messages are for libparted,
    I have asked the author if it is possible to split parted and libparted
    locales ...
  * Made libparted0 and libparted0-dev Conflict: parted (<< 1.2.11) to
    avoid dpkg needing --force-overwrite ...
  * Added -D_REENTRANT to CFLAGS in libparted/Makefile.am - to conform
    to policy 3.2.1.
  * Policy 3.2.1

 -- Timshel Knoll <timshel@debian.org>  Wed, 18 Oct 2000 12:59:48 +1100

parted (1.2.10-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 15 Oct 2000 23:24:15 +1100

parted (1.2.9-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 12 Sep 2000 22:41:38 +1100

parted (1.2.8-2) unstable; urgency=low

  * debian/docs: debian/libparted0.docs: debian/libparted0-dev.docs:
    Removed all documentation from packages other than parted-doc. All
    packages have changelog and copyright, however (as per Debian
    policy)

 -- Timshel Knoll <timshel@debian.org>  Wed, 30 Aug 2000 20:01:15 +1100

parted (1.2.8-1) unstable; urgency=low

  * New upstream release
  * Changed Build-Depends on libuuid-dev to uuid-dev (closes: Bug#69536)

 -- Timshel Knoll <timshel@debian.org>  Tue, 22 Aug 2000 21:27:59 +1000

parted (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 13 Aug 2000 13:33:42 +1000

parted (1.2.6-1) unstable; urgency=low

  * New upstream release
  * Shared libs in libparted0 now install to /lib (otherwise it's pointless
    having the parted executable in /sbin ...)
  * Now building shlibs with `libparted 0 libparted0 (= ${Source-Version})'
    rather than >= ... This is because the libparted API is still changing
    quite regularly.

 -- Timshel Knoll <timshel@debian.org>  Wed,  2 Aug 2000 21:13:42 +1000

parted (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Thu, 20 Jul 2000 09:49:29 +1000

parted (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Wed, 28 Jun 2000 21:04:42 +1000

parted (1.2.1-2) unstable; urgency=low

  * Removed parted-doc Recommends: parted, and got rid of versions
    from Suggests: parted, libparted0, libparted0-dev
  * Changed description of libparted0-dev for consistency
    (the word 'disk' was missing)

 -- Timshel Knoll <timshel@debian.org>  Thu, 15 Jun 2000 13:25:56 +1000

parted (1.2.1-1) unstable; urgency=low

  * New upstream release
  * The last release (1.2.0) didn't build on systems without libparted-dev
    or libparted0-dev already installed, fixed in this version.
  * Maintainer email addresses updated to `timshel@debian.org'
  * debian/README.Debian updated to remove stuff about why shared libs
    won't build (because they can be now) :)

 -- Timshel Knoll <timshel@debian.org>  Thu, 15 Jun 2000 12:57:29 +1000

parted (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Merged a whole heap of changes from my locally built series of 1.1.x
    packages, listed below:
  * Can now build shared libraries. Split off package libparted0 which
    contains the shared libraries.
  * Renamed libparted-dev to libparted0-dev. This still Provides: libparted-dev
    however.

 -- Timshel Knoll <timshel@pobox.com>  Thu, 15 Jun 2000 02:24:05 +1000

parted (1.0.17-2) unstable; urgency=low

  * Rebuild to get rid of config.log junk in the .diff.gz (hmmm ... must've
    killed ./configure ... dammit)
  * Split docs off into new, separate package (parted-doc)
  * libparted-dev now Suggests: parted

 -- Timshel Knoll <timshel@pobox.com>  Tue, 13 Jun 2000 01:34:34 +1000

parted (1.0.17-1) unstable; urgency=low

  * New upstream release
  * parted executable moved from /usr/sbin to /sbin
  * "Section: " in debian/control changed for both 'parted' source &
    'parted' binary packages from 'utils' to 'admin' (admin is more suitable)
  * "Architecture: any" for both packages, (was 'i386 alpha'), so
    packages will now be built for other arches (for resizing old DOS
    drives, as parted currently only support DOS partition tables)

 -- Timshel Knoll <timshel@pobox.com>  Mon, 12 Jun 2000 15:41:48 +1000

parted (1.0.15-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@pobox.com>  Fri, 12 May 2000 19:08:52 +1000

parted (1.0.14-1) unstable; urgency=low

  * New upstream release
  * Updated debian/README.Debian with current parted shared libs status ...

 -- Timshel Knoll <timshel@pobox.com>  Sun, 16 Apr 2000 16:46:47 +1000

parted (1.0.13-1) frozen unstable; urgency=low

  * New upstream release
  * This needs to go into frozen because it fixes a release critical bug:
  * Fixed a severe bug which can cause massive data loss when converting
    between FAT16 and FAT32 (closes: #62029).
  * dh_testversion (in debian/rules) and Build-depends debhelper version
    updated to 1.2.9 for dh_link ...
  * Fixed typo in debian/control: Build-Depends: liuuid-dev -> libuuid-dev :)
  * Policy 3.1.1

 -- Timshel Knoll <timshel@pobox.com>  Tue, 11 Apr 2000 17:44:42 +1000

parted (1.0.12-1) unstable; urgency=low

  * New upstream release
  * libparted-dev.docs updated to reflect movement of API docs to doc/
  * Updated to Standards-Version 3.1.0 (with Build-Depends)

 -- Timshel Knoll <timshel@pobox.com>  Tue, 28 Mar 2000 20:07:51 +1000

parted (1.0.10-1) unstable; urgency=low

  * New upstream release
  * libparted-dev moved from libs to devel section

 -- Timshel Knoll <timshel@pobox.com>  Fri,  3 Mar 2000 09:59:32 +1100

parted (1.0.9-1) frozen unstable; urgency=low

  * New upstream release (closes: Bug#58301)

 -- Timshel Knoll <timshel@pobox.com>  Thu, 17 Feb 2000 21:28:53 +1100

parted (1.0.7-1) frozen unstable; urgency=low

  * New upstream release (closes: Bug#55871, parted fails on disks >16Gb)
  * Manpage moved to upstream sources

 -- Timshel Knoll <timshel@pobox.com>  Tue, 25 Jan 2000 23:29:56 +1100

parted (1.0.5-1) frozen unstable; urgency=low

  * New upstream release (closes: Bug#55613)
  * Added Conflicts: fsresize and Replaces: fsresize (closes: Bug#54110)
  * Updates to manpage, parted(8)

 -- Timshel Knoll <timshel@pobox.com>  Wed, 19 Jan 2000 13:28:53 +1100

parted (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@pobox.com>  Wed,  5 Jan 2000 17:23:57 +1100

parted (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright with date/time last updated
  * Updated package descripion and README.Debian warnings

 -- Timshel Knoll <timshel@pobox.com>  Mon,  3 Jan 2000 13:30:02 +1100

parted (1.0pre8-1.1) unstable; urgency=low

   * Sponsor upload.
   * Recompiled against libreadline2g as libreadline4 is not yet in
     potato. (closes: Bug#52205)

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Dec 1999 12:05:41 +0100

parted (1.0pre8-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@pobox.com>  Mon, 15 Nov 1999 22:40:06 +1100

parted (1.0pre7-2) unstable; urgency=low

  * Copyright message and Authors updated
  * Updated package description, descriptions are now more consistant
  * Added warning about software being unstable to package description
  * Changed libparted-dev to Section: devel
  * Removed debian/dirs (not required)
  * Manpage parted.8 is now only installed in the parted package

 -- Timshel Knoll <timshel@pobox.com>  Sun, 14 Nov 1999 23:29:01 +1100

parted (1.0pre7-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@pobox.com>  Tue,  9 Nov 1999 13:52:14 +1100

parted (1.0pre4-2) unstable; urgency=low

  * Package split into parted and libparted-dev

 -- Timshel Knoll <timshel@pobox.com>  Mon,  8 Nov 1999 18:41:28 +1100

parted (1.0pre4-1) unstable; urgency=low

  * Initial Release.

 -- Timshel Knoll <timshel@pobox.com>  Fri,  5 Nov 1999 18:11:28 +1100
